Bug 116856 - Update Appdata screenshots
Summary: Update Appdata screenshots
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-07 00:06 UTC by Fabian Alexander Wilms
Modified: 2018-08-14 14:36 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Alexander Wilms 2018-04-07 00:06:00 UTC
The appstream appdata.xml file currently links to low-res LibreOffice 4.2 screenshots. To improve the appearance in software centers like Flathub (https://flathub.org/apps/details/org.libreoffice.LibreOffice), they should be replaced by 16:9 screenshots of a recent LibreOffice version.

Affected file:
https://cgit.freedesktop.org/libreoffice/core/tree/solenv/bin/assemble-flatpak.sh
Comment 1 Adolfo Jayme 2018-04-09 11:34:18 UTC
Since the AppStream file is using images hosted at the Silverstripe site, Cloph or Mike will want to look at replacing those images, I guess…
Comment 2 Xisco Faulí 2018-04-12 09:10:10 UTC
Patch submitted to gerrit: https://gerrit.libreoffice.org/#/c/52767/
Comment 3 Commit Notification 2018-08-14 14:35:19 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa81dd8e34816f8b1d57576f0c7fcbf3c66271e6

tdf#116856 Update screenshot images

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-08-14 14:35:28 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f858a06f6bc296f51274b516fe99911f0a55aef&h=libreoffice-6-1

tdf#116856 Update screenshot images

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.